Subject: Re: [net-next v4 5/5] ARM: mxs_defconfig: Enable CONFIG_FEC_MTIP_L2SW to support MTIP L2 switch

From: Lukasz Majewski <[email-masked]>
Date: Thu, 10 Apr 2025 11:23:50 +0200

Hi Krzysztof,

> On 10/04/2025 09:01, Lukasz Majewski wrote:
> > Hi Stefan,
> >   
> >> Hi Lukasz,
> >>
> >> Am 07.04.25 um 16:51 schrieb Lukasz Majewski:  
> >>> This patch enables support for More Than IP switch available on
> >>> some imx28[7] devices.
> >>>
> >>> Signed-off-by: Lukasz Majewski <[email-masked]>    
> >> thanks adding the driver to mxs_defconfig. Unfortunately it's not
> >> possible for reviewers to identify the relevant changes,  
> > 
> > Could you be more specific here?
> > As fair as I see - there is only 14 LOCs changed for review.  
> 
> Really, the comment was very specific. You make multiple independent,
> looking irrelevant changes to the file.
> 
> > 
> > Please also be aware that MTIP L2 switch driver has some
> > dependencies - on e.g. SWITCHDEV and BRIDGE, which had to be
> > enabled to allow the former one to be active.
> >   
> >> also the
> >> commit messages doesn't provide further information.
> >>  
> > 
> > What kind of extra information shall I provide? IMHO the patch is
> > self-explaining.  
> 
> For example explain why do you think GPIO_SYSFS should be dropped.
> 
> >   
> >> In general there are two approaches to solves this:
> >> 1) prepend an additional patch which synchronizes mxs_defconfig
> >> with current mainline
> >> 2) manually create the relevant changes against mxs_defconfig
> >>
> >> The decision about the approaches is up to the maintainer.  
> > 
> > I took the linux-next's (or net-next) mxs defconfig (cp it to be
> > .config)
> > 
> > Then run CROSS_COMPILE= ... make ARCH=arm menuconfig
> > Enabled all the relevant Kconfig options and run
> > 
> > CROSS_COMPILE= ... make ARCH=arm savedefconfig
> > and copy defconfig to mxs_defconfig.
> > Then I used git to prepare the patch.
> > 
> > Isn't the above procedure correct?  
> 
> No, it is not correct. Do not make any changes in the "Enabled all the
> relevant Kconfig options and run" step and check the result. Do you
> see difference in result file? If yes, then why such difference
> should be part of this commit?

Ok, I get your point. Then I shall prepare a separate, pre-patch.
Thanks for info.

> Best regards,
> Krzysztof

Best regards,

Lukasz Majewski

--

DENX Software Engineering GmbH,      Managing Director: Erika Unter
HRB 165235 Munich, Office: Kirchenstr.5, D-82194 Groebenzell, Germany
Phone: (+49)-8142-66989-59 Fax: (+49)-8142-66989-80 Email: [email-masked]